HPE Greenlake for File Storage REST APIs
HPE Greenlake for File Storage REST APIs (1.0.0)
Download OpenAPI description
Overview
License
Languages
Servers
https://eu1.data.cloud.hpe.com/
https://us1.data.cloud.hpe.com/
https://jp1.data.cloud.hpe.com/
Mock server
https://developer.greenlake.hpe.com/_mock/docs/greenlake/services/file-storage/public/openapi/file-storage-public-v1alpha1/file-storage-api/
Query
The offset of the first item in the collection to return
Default 0
Example: offset=5
Query to select only the required parameters, separated by . if nested
Example: select=id
The expression to use for filtering responses.
Filtering is supported on the below properties:
statenameidshareCounthardLimitInBytessoftLimitInBytes
Example: filter=GET /file-storage/v1alpha1/devtype7-storage-systems/{systemId}/filesystems?filter=name eq "fs1"
A comma separated list of properties to sort by, followed by a direction indicator ("asc" or "desc"). If no direction indicator is specified the default order is ascending. Sorting is supported for the following attributes:
statenameshareCountcreatedAtupdatedAthardLimitInBytessoftLimitInBytesExample: GET /file-storage/v1alpha1/devtype7-storage-systems/{systemId}/filesystems?sort=name desc
Default "name asc"
Example: sort=id desc
- https://eu1.data.cloud.hpe.com/file-storage/v1alpha1/devtype7-storage-systems/{systemId}/filesystems
- https://us1.data.cloud.hpe.com/file-storage/v1alpha1/devtype7-storage-systems/{systemId}/filesystems
- https://jp1.data.cloud.hpe.com/file-storage/v1alpha1/devtype7-storage-systems/{systemId}/filesystems
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/file-storage/public/openapi/file-storage-public-v1alpha1/file-storage-api/file-storage/v1alpha1/devtype7-storage-systems/{systemId}/filesystems
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X GET \
'https://eu1.data.cloud.hpe.com/file-storage/v1alpha1/devtype7-storage-systems/{systemId}/filesystems' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "count": 0, "items": [ { … } ], "offset": 0, "total": 0 }
- https://eu1.data.cloud.hpe.com/file-storage/v1alpha1/devtype7-storage-systems/{systemId}/filesystems/{filesystemId}
- https://us1.data.cloud.hpe.com/file-storage/v1alpha1/devtype7-storage-systems/{systemId}/filesystems/{filesystemId}
- https://jp1.data.cloud.hpe.com/file-storage/v1alpha1/devtype7-storage-systems/{systemId}/filesystems/{filesystemId}
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/file-storage/public/openapi/file-storage-public-v1alpha1/file-storage-api/file-storage/v1alpha1/devtype7-storage-systems/{systemId}/filesystems/{filesystemId}
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X DELETE \
'https://eu1.data.cloud.hpe.com/file-storage/v1alpha1/devtype7-storage-systems/{systemId}/filesystems/{filesystemId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "message": "Successfully submitted", "status": "SUBMITTED", "taskUri": "/rest/vega/v1/tasks/4969a568-6fed-4915-bcd5-e4566a75e00c" }
- https://eu1.data.cloud.hpe.com/file-storage/v1alpha1/devtype7-storage-systems/{systemId}/filesystems/{filesystemId}
- https://us1.data.cloud.hpe.com/file-storage/v1alpha1/devtype7-storage-systems/{systemId}/filesystems/{filesystemId}
- https://jp1.data.cloud.hpe.com/file-storage/v1alpha1/devtype7-storage-systems/{systemId}/filesystems/{filesystemId}
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/file-storage/public/openapi/file-storage-public-v1alpha1/file-storage-api/file-storage/v1alpha1/devtype7-storage-systems/{systemId}/filesystems/{filesystemId}
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X GET \
'https://eu1.data.cloud.hpe.com/file-storage/v1alpha1/devtype7-storage-systems/{systemId}/filesystems/{filesystemId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "filesystemCapacity": { "compressionRatio": 0, "compressionSavings": 0, "logicalUsage": 301752.345342, "physicalUsage": 3252.2370367, "totalInodes": 0 }, "filesystemPerformance": { "readIops": 750.2, "readLatencyMs": 12.8, "readMdLatencyMs": 12.8, "readThroughputKbps": 5120.4, "totalIops": 1250.5, "totalLatencyMs": 15.2, "totalMdLatencyMs": 15.2, "totalThroughputKbps": 8192.7, "writeIops": 500.3, "writeLatencyMs": 18.6, "writeMdLatencyMs": 18.6, "writeThroughputKbps": 3072.3 }, "commonResourceAttributes": { "cloudState": "CONNECTED", "errCode": "string", "errMessage": "string" }, "createdAt": { "ms": 0, "tz": "string" }, "customerId": "string", "generation": 0, "hardLimitInBytes": 0, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "FS1", "resourceUri": "string", "shareCount": 0, "state": "NORMAL", "systemId": "7CE751P312", "systemWwn": "7CE751P312", "type": "string", "updatedAt": { "ms": 0, "tz": "string" } }
- https://eu1.data.cloud.hpe.com/file-storage/v1alpha1/devtype7-storage-systems/{systemId}/filesystems/{filesystemId}/capacity-history
- https://us1.data.cloud.hpe.com/file-storage/v1alpha1/devtype7-storage-systems/{systemId}/filesystems/{filesystemId}/capacity-history
- https://jp1.data.cloud.hpe.com/file-storage/v1alpha1/devtype7-storage-systems/{systemId}/filesystems/{filesystemId}/capacity-history
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/file-storage/public/openapi/file-storage-public-v1alpha1/file-storage-api/file-storage/v1alpha1/devtype7-storage-systems/{systemId}/filesystems/{filesystemId}/capacity-history
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X GET \
'https://eu1.data.cloud.hpe.com/file-storage/v1alpha1/devtype7-storage-systems/{systemId}/filesystems/{filesystemId}/capacity-history' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "count": 0, "items": [ { … } ], "offset": 0, "total": 0 }
- https://eu1.data.cloud.hpe.com/file-storage/v1alpha1/devtype7-storage-systems/{systemId}/filesystems/{filesystemId}/performance-history
- https://us1.data.cloud.hpe.com/file-storage/v1alpha1/devtype7-storage-systems/{systemId}/filesystems/{filesystemId}/performance-history
- https://jp1.data.cloud.hpe.com/file-storage/v1alpha1/devtype7-storage-systems/{systemId}/filesystems/{filesystemId}/performance-history
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/file-storage/public/openapi/file-storage-public-v1alpha1/file-storage-api/file-storage/v1alpha1/devtype7-storage-systems/{systemId}/filesystems/{filesystemId}/performance-history
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X GET \
'https://eu1.data.cloud.hpe.com/file-storage/v1alpha1/devtype7-storage-systems/{systemId}/filesystems/{filesystemId}/performance-history' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "count": 0, "items": [ { … } ], "offset": 0, "total": 0 }